JsDoc Reference - FCP

Class Index | File Index

## Classes

- _global_
- AccessController
- APDU
- AuthenticationObject
- CAConnection
- ChipAuthentication
- ChipAuthenticationDomainParameterInfo
- ChipAuthenticationInfo
- ChipAuthenticationPublicKeyInfo
- CommandInterpreter
- CRLGenerator
- CVC
- CVCCA
- CVCertificateStore
- DataUnitAPDU
- DF
- DKEK
- DNEncoder
- EAC20
- EAC2CVCertificateGenerator
- EAC2CVRequestGenerator
- FCP
- File
- FileEncryptor
- FileSelector
- FileSystemIdObject
- FSNode
- GPSCP03
- HSMCVCertificateStore
- HSMKeyStore
- LinearEF
- ManagePKA
- P11CVCertificateStore
- PACE
- PACEDomainParameterInfo
- PACEInfo
- PaperKeyEncoding
- PKCS10Generator
- PublicKeyFile
- PublicKeyReference
- RAMClient
- RestrictedIdentificationDomainParameterInfo
- RestrictedIdentificationInfo
- SecureChannelHandler
- SecureMessagingCommandAPDUDecoder
- SecurityEnvironment
- SignatureKey
- SmartCardHSM
- SmartCardHSMCrypto
- SmartCardHSMInitializer
- SmartCardHSMKey
- SmartCardHSMKeySpecGenerator
- SmartCardHSMSymmetricKeySpecGenerator
- TransparentEF
- TrustAnchor
- X509CertificateGenerator
- X509CertificateIssuer
- X509CertificateStore
- X509Signer

# Class FCP

Class storing File Control Parameter for a file system node
Defined in: FCP.js.

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| FCP() Create a File Control Parameter containing information about a file system node

Field Summary
Field Attributes | Field Name and Description
--- | ---
<static> | FCP.DEDICATEDFILE File type for DF
<static> | FCP.LINEARFIXED File type for record oriented EF with fixed record size
<static> | FCP.LINEARVARIABLE File type for record oriented EF with variable record size
<static> | FCP.TRANSPARENT File type for transparent EF

Method Summary
Method Attributes | Method Name and Description
--- | ---
| getAID() Returns the Application Identifier (AID)
| getBytes() Returns the encoded FCP
| getFCI() Returns the FCI
| getFID() Returns the File Identifier (FID)
| getSFI() Returns the Short File Identifier (SFI)
<static> | FCP.newDF(fid, aid, supl) Construct a new FCP object for a DF.
<static> | FCP.newFCP(fid, sfi, type, shareable, internal, supl) Construct a new FCP object from parameters.
<static> | FCP.newLinearEF(fid, sfi, type, recno, recsize, supl) Construct a new FCP object for an EF of type linear.
<static> | FCP.newTransparentEF(fid, sfi, size, supl) Construct a new FCP object for an EF of type transparent.
<static> | FCP.short2bytestring(val) Convert an integer value into an two byte ByteString
| toString() Return a human readible string for this object

Class Detail
FCP()
Create a File Control Parameter containing information about a file system node
Field Detail
<static> FCP.DEDICATEDFILE
File type for DF

<static> FCP.LINEARFIXED
File type for record oriented EF with fixed record size

<static> FCP.LINEARVARIABLE
File type for record oriented EF with variable record size

<static> FCP.TRANSPARENT
File type for transparent EF
Method Detail
{ByteString} getAID()
Returns the Application Identifier (AID)

Returns:
  the AID

{ByteString} getBytes()
Returns the encoded FCP

Returns:
  the encoded FCP

{ASN1} getFCI()
Returns the FCI

Returns:
  the FCI

{ByteString} getFID()
Returns the File Identifier (FID)

Returns:
  the FID

{Number} getSFI()
Returns the Short File Identifier (SFI)

Returns:
  the SFI

<static> {FCP} FCP.newDF(fid, aid, supl)
Construct a new FCP object for a DF.

Parameters:
{String|ByteString} fid
  the file identifier (2 Bytes)
{ByteString} aid
  the DF's application identifier (DFName)
{ByteString} supl
  supplemental information

Returns:
  the newly constructed FCP object

<static> {FCP} FCP.newFCP(fid, sfi, type, shareable, internal, supl)
Construct a new FCP object from parameters.

This function should never be called directly. Use newTransparentDF(), newDF() or newLinearEF() instead.

Parameters:
{String|ByteString} fid
  the file identifier (2 Bytes)
{Number} sfi
  the short file identifier or -1 or 0 if not defined
{Number} type
  the file type, one of FCP.DEDICATEDFILE, FCP.TRANSPARENT or FCP.LINEAR*
{Boolean} shareable
  true, if file may be shared between logical channels
{Boolean} internal
  true, if file is internal only and not externally selectable
{ByteString} supl
  supplemental information

Returns:
  the newly constructed FCP object

<static> {FCP} FCP.newLinearEF(fid, sfi, type, recno, recsize, supl)
Construct a new FCP object for an EF of type linear.

Parameters:
{String|ByteString} fid
  the file identifier (2 Bytes)
{Number} sfi
  the short file identifier or -1 or 0 if not defined
{Number} type
  the file type, one of FCP.LINEARFIXED or FCP.LINEARVARIABLE
{Number} recno
  the maximum number of records
{Number} recsize
  the maximum or fixed record size
{ByteString} supl
  supplemental information

Returns:
  the newly constructed FCP object

<static> {FCP} FCP.newTransparentEF(fid, sfi, size, supl)
Construct a new FCP object for an EF of type transparent.

Parameters:
{String|ByteString} fid
  the file identifier (2 Bytes)
{Number} sfi
  the short file identifier or -1 or 0 if not defined
{Number} size
  the file size
{ByteString} supl
  supplemental information

Returns:
  the newly constructed FCP object

<static> {ByteString} FCP.short2bytestring(val)
Convert an integer value into an two byte ByteString

Parameters:
{Number} val
  the value

Returns:
  the 2 byte encoded value MSB||LSB

{String} toString()
Return a human readible string for this object

Returns:
  the string

Documentation generated by JsDoc Toolkit 2.4.0 on Wed Mar 18 2026 21:29:18 GMT+0100 (CET)